// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	"oc-discovery/controllers"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/oc",
		beego.NSNamespace("/peer",
			beego.NSInclude(
				&controllers.PeerController{},
			),
		),
		beego.NSNamespace("/identity",
			beego.NSInclude(
				&controllers.IdentityController{},
			),
		),
		beego.NSNamespace("/version",
			beego.NSInclude(
				&controllers.VersionController{},
			),
		),
	)

	beego.AddNamespace(ns)
}
